Show / Hide Table of Contents

# UniTaskCancellationExtensions Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public static class UniTaskCancellationExtensions

##### Inheritance

System.Object → UniTaskCancellationExtensions

### Members

#### Methods

Name | Description
--- | ---
GetCancellationTokenOnDestroy(Component) | This CancellationToken is canceled when the MonoBehaviour will be destroyed.
GetCancellationTokenOnDestroy(GameObject) | This CancellationToken is canceled when the MonoBehaviour will be destroyed.

### Methods

#### GetCancellationTokenOnDestroy(Component)

This CancellationToken is canceled when the MonoBehaviour will be destroyed.

    public static CancellationToken GetCancellationTokenOnDestroy(this Component component)

##### Parameters

`component` Component

##### Returns

System.Threading.CancellationToken

#### GetCancellationTokenOnDestroy(GameObject)

This CancellationToken is canceled when the MonoBehaviour will be destroyed.

    public static CancellationToken GetCancellationTokenOnDestroy(this GameObject gameObject)

##### Parameters

`gameObject` GameObject

##### Returns

System.Threading.CancellationToken